package main

import (
	"os/user"
	"testing"
	"time"

	tea "github.com/charmbracelet/bubbletea"
	"github.com/charmbracelet/x/exp/teatest"
)

func TestCairdeOnOffWorks(t *testing.T) {
	user, err := user.Current()
	if err != nil {
		t.Fatal(err)
	}

	m := newModel(user.Username, user.HomeDir, false)
	tm := teatest.NewTestModel(t, m)

	tm.Send(tea.KeyMsg{
		Type:  tea.KeyRunes,
		Runes: []rune("ctrl+c"),
	})

	tm.WaitFinished(t, teatest.WithFinalTimeout(time.Second))
}
